com.google.gwt.editor.client.adapters

## Class HasDataEditor<T>

- java.lang.Object
- - com.google.gwt.editor.client.adapters.ListEditor<T,LeafValueEditor<T>>
  - - com.google.gwt.editor.client.adapters.HasDataEditor<T>

- Type Parameters:
    `T` - the type of data to be edited
  All Implemented Interfaces:
    CompositeEditor<java.util.List<T>,T,LeafValueEditor<T>>, Editor<java.util.List<T>>, HasEditorDelegate<java.util.List<T>>, ValueAwareEditor<java.util.List<T>>

      public class HasDataEditor<T>
      extends ListEditor<T,LeafValueEditor<T>>

  Adapts the HasData interface to the Editor framework.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `HasDataEditor.HasDataEditorSource<T>`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.editor.client.CompositeEditor

      `CompositeEditor.EditorChain<C,E extends Editor<? super C>>`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor

      `Editor.Ignore, Editor.Path`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> HasDataEditor<T>` | `of(HasData<T> data)` Create a HasDataEditor backed by a HasData.

    - ### Methods inherited from class com.google.gwt.editor.client.adapters.ListEditor

      `createEditorForTraversal, flush, getEditors, getList, getPathElement, of, onPropertyChange, setDelegate, setEditorChain, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static <T> HasDataEditor<T> of(HasData<T> data)

      Create a HasDataEditor backed by a HasData.
      Type Parameters:
        `T` - the type of data to be edited
      Parameters:
        `data` - the HasData that is displaying the data
      Returns:
        a instance of a HasDataEditor